=== matrix/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

CFLAGS=$(COPTIONS) -I.
CBLASY=cblasy.o

# to use external blas (e.g.- atlas), comment above, uncomment below
# also need to add -lblas (or whatever) to MATHLIB in ../Make.cfg
#CFLAGS=$(COPTIONS) -DUSE_CBLAS -DCBLAS_INDEX=int -I.
#CBLASY=

OBJS=dlamc3.o dgyor.o dgtsv.o dgesv.o dgecon.o dgels.o dgelss.o \
  dbdsqr.o dlasr.o dgesvd.o dgesv2.o $(CBLASY)

all: $(OBJS)

libyor: make.done

# gist/make.done touched when libyor.a is clobbered
make.done: $(OBJS) ../gist/make.done
	$(AR) r ../yorick/libyor.a $(OBJS)
	@touch $@

config:
	@:

clean::
	rm -f *~ '#'* *.o *.a *.done core a.out

distclean:: clean

# ------------- dependencies -------------

dlamc3.o: dlamc3.c
	$(CC) $(CPPFLAGS) -g -c dlamc3.c

dbdsqr.o: dg.h cblasy.h
dgecon.o: dg.h cblasy.h
dgels.o: dg.h cblasy.h
dgelss.o: dg.h cblasy.h
dgesv.o: dg.h cblasy.h
dgesv2.o: dg.h cblasy.h
dgesvd.o: dg.h cblasy.h
dgtsv.o: dg.h cblasy.h
dgyor.o: dg.h cblasy.h
dlasr.o: dg.h cblasy.h
