=== debian/changelog ===
yorick (1.5.14-1) unstable; urgency=low

  * fixed info manual long ago (Closes: #75177)
  * upgrade to 1.5.14, see NEWS for changes

 -- David H. Munro <munro@icf.llnl.gov>  Wed,  8 Oct 2002 16:38:57 -0800

yorick (1.5.12-1) unstable; urgency=low

  * upgrade to 1.5.12, see NEWS for changes

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 21 Nov 2002 16:38:57 -0800

yorick (1.5.10-1) unstable; urgency=low

  * added -geometry switch to gist (Closes: #150115)
  * fixed gist font orientation (Closes: #150110)
  * reworded gist "partly illegible" warning (Closes: #150093)
  *   (the warning is not bogus, a file with cell arrays really
  *    would be partly illegible)
  * numerous other more serious bug fixes, see NEWS

 -- David H. Munro <munro@icf.llnl.gov>  Mon,  1 Jul 2002 15:12:04 -0800

yorick (1.5.08-1) unstable; urgency=low

  * 1.5.08 replaces infant mortality 1.5.07, see NEWS

 -- David H. Munro <munro@icf.llnl.gov>  Mon,  4 Feb 2002 08:47:40 -0800

yorick (1.5.07-1) unstable; urgency=low

  * renumber version to accomodate binary file change in upstream source
  * numerous bug fixes, see NEWS file

 -- David H. Munro <munro@icf.llnl.gov>  Mon, 28 Jan 2002 09:15:46 -0800

yorick (1.5-06) unstable; urgency=low

  * private release, never uploaded

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 25 Jan 2002 15:12:26 -0800

yorick (1.5-05) unstable; urgency=low

  * private release, never uploaded

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 25 Jan 2002 15:11:44 -0800

yorick (1.5-04) unstable; urgency=low

  * repair debian problems (Closes: #116588)

 -- David H. Munro <munro@icf.llnl.gov>  Mon, 22 Oct 2001 15:11:07 -0700

yorick (1.5-03) unstable; urgency=low

  * fixes many bugs in 1.5-02, see NEWS file

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 19 Oct 2001 15:11:07 -0700

yorick (1.5-02) frozen unstable; urgency=low

  * repairs debian/control (Closes: #105154)

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 19 Jul 2001 15:11:07 -0700

yorick (1.5-01) unstable; urgency=low

  * version 1.5.01 upstream release

 -- David H. Munro <munro@icf.llnl.gov>  Sat,  5 May 2001 12:45:38 -0700

yorick (1.4-15) unstable; urgency=low

  * resync 1.4-14.2 with upstream sources

 -- David H. Munro <munro@icf.llnl.gov>  Wed,  2 May 2001 14:27:45 -0700

yorick (1.4-14.2) unstable; urgency=low

  * NMU
  * Package is orphaned: maintainer set to the Debian QA Group,
  which acknowledges the previous NMU. (Closes: #91102, #91103, #91726,
  #91727, #91728)
  * Maintainer stated in the entry for yorick 1.4-13 that he had
  dealt with bugs 30857, 37405, 37587 and 39814, therefore I'm assuming
  he forgot to close them. (Closes: #30857, #37405, #37587, #39814)

 -- Carlos Laviola <claviola@ajato.com.br>  Sat, 21 Apr 2001 00:41:26 -0300

yorick (1.4-14.1) unstable; urgency=low

  * NMU
  * Yorick/doc/yorick.tex: Typo is fixed (Closes: #75177)
  * debian/rules: replaced every reference of /usr/{doc,man} with the proper
  		  paths, which are /usr/share/{doc,man} now.
  (Closes: #91102, #91103, #91726, #91727, #91728)
  * Upped Standards-Version to 3.5.2.

 -- Carlos Laviola <claviola@ajato.com.br>  Mon, 16 Apr 2001 21:41:45 -0300

yorick (1.4-14) frozen unstable; urgency=low

  * fix unsigned char parsing problems, other minor fixes

 -- David H. Munro <munro@icf.llnl.gov>  Mon, 17 Apr 2000 14:00:10 -0700

yorick (1.4-13) unstable; urgency=low

  * deal with bugs 30857 37405 37587 39814

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 30 Jul 1999 11:06:19 -0700

yorick (1.4-12) stable unstable; urgency=low

  * attempt to cope with slink and potato problems

 -- David H. Munro <munro@icf.llnl.gov>  Wed, 28 Apr 1999 10:30:17 -0700

yorick (1.4-11) frozen unstable; urgency=low

  * fixed bogus xdevel virtual package dependency

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 17 Dec 1998 09:48:48 -0800

yorick (1.4-10) frozen unstable; urgency=low

  * many bug fixes, see NEWS file

 -- David H. Munro <munro@icf.llnl.gov>  Mon,  7 Dec 1998 10:39:08 -0800

yorick (1.4-9) unstable; urgency=low

  * fixes bugs with rotated text and other graphics

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 10 Apr 1998 08:21:56 -0700

yorick (1.4-8) unstable; urgency=low

  * added copyright for yorick-dev, upstream bug fixes

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 17 Mar 1998 12:21:04 -0800

yorick (1.4-7) unstable; urgency=low

  * fix double-align problem for x2 speedup of fft, matrix ops

 -- David H. Munro <munro@icf.llnl.gov>  Wed,  4 Feb 1998 17:19:27 -0800

yorick (1.4-6) unstable; urgency=low

  * rebuilt with libc6 and xlib6g for hamm

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 15 Jan 1998 18:20:14 -0800

yorick (1.4-5) unstable; urgency=low

  * upstream bug fixes thru 7/Nov/97 patch

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 7 Nov 1997 17:12:23 -0800

yorick (1.4-4) unstable; urgency=low

  * many small bug fixes and improvements

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 7 Oct 1997 10:48:08 -0700

yorick (1.4-3) unstable; urgency=low

  * Fixed package description to conform with debian-policy.

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 29 Apr 1997 09:23:08 -0700

yorick (1.4-2) unstable; urgency=low

  * fixed Gist/ps.ps, Yorick/ascio.c, yorick-dev and g77 dependencies

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 10 Apr 1997 11:49:39 -0700

yorick (1.4-1) unstable; urgency=low

  * New 1.4 version

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 18 Mar 1997 17:56:14 -0800

yorick (1.3-3) unstable; urgency=low

  * install through patch-4 on ftp-icf.llnl.gov:/pub/Yorick

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 17 Jan 1997 14:11:51 -0800

yorick (1.3-2) unstable; urgency=low

  * Upgraded to debstd technology, included yorick-1.3-patch-1.

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 3 Jan 1997 15:14:46 -0800

yorick (1.3-1) unstable; urgency=low

  * Initial Release.

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 2 Jan 1997 12:38:08 -0800

Local variables:
mode: debian-changelog
End:
