=== play/unix/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

CFLAGS=$(COPTIONS) -I. -I..

OBJS=dir.o files.o fpuset.o handler.o pathnm.o stdinit.o timeu.o \
  timew.o uevent.o ugetc.o uinbg.o usernm.o slinks.o umain.o

all: make.done

make.done: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	@touch $@

config:
	CC="$(CC)" CFLAGS="$(COPTIONS)" LDFLAGS="$(LDOPTIONS)" MATHLIB="$(MATHLIB)" ./config.sh

clean::
	rm -f *~ '#'* *.o *.a *.done cfg* config.0* fputest core a.out

distclean:: clean
	rm -f config.h



dir.o: config.h ../play.h playu.h ../pstdlib.h ../pstdio.h dir.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_DIR1) $(D_DIR2) -c dir.c
files.o: config.h ../pstdio.h ../pstdlib.h playu.h
fpuset.o: config.h playu.h fpuset.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_FPUSET) -c fpuset.c
handler.o: config.h ../play.h playu.h ../pstdlib.h
pathnm.o: config.h ../play.h playu.h ../pstdlib.h pathnm.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c pathnm.c
slinks.o: config.h playu.h ../pstdlib.h ../pstdio.h
stdinit.o: config.h ../play.h ../pstdlib.h ../pstdio.h playu.h
timeu.o: config.h ../play.h timeu.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEU) -c timeu.c
timew.o: config.h ../play.h timew.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEW) -c timew.c
uevent.o: config.h upoll.h upoll.c ../play.h playu.h ../pstdlib.h uevent.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UEVENT) -c uevent.c
ugetc.o: config.h playu.h ugetc.h ../pmin.h
uinbg.o: config.h playu.h uinbg.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UINBG1) $(D_UINBG2) -c uinbg.c
usernm.o: config.h ../play.h usernm.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c usernm.c
umain.o: config.h ../play.h playu.h ../pstdlib.h
