=== debian/changelog ===
yorick (1.5.14-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346861).

 -- Luk Claes <luk@debian.org>  Mon,  9 Jan 2006 19:46:59 +0100
