=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David H. Munro <munro1@llnl.gov>
-Build-Depends: xlibs-dev, texinfo, debmake
+Build-Depends: libx11-dev, x-dev, texinfo, debmake
 Standards-Version: 3.6.1
 
 Package: yorick
